Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::HScrollbar Class Reference

A GtkHScrollbar C++ wrapper class. More...

`#include <inti/gtk/scrollbar.h>`

Inheritance diagram for Inti::Gtk::HScrollbar:

List of all members.

## Public Member Functions

Constructors

- HScrollbar ()
    Construct a new horizontal scrollbar; the scrollbar will create an adjustment for you.
- HScrollbar (Adjustment &adjustment)
    Construct a new horizontal scrollbar with the specified adjustment.
- virtual ~HScrollbar ()
    Destructor.

Accessors

- GtkHScrollbar * gtk_hscrollbar () const
    Get a pointer to the GtkHScrollbar structure.
- GtkHScrollbarClass * gtk_hscrollbar_class () const
    Get a pointer to the GtkHScrollbarClass structure.
- operator GtkHScrollbar * () const
    Conversion operator; safely converts a HScrollbar to a GtkHScrollbar pointer.

## Protected Member Functions

Constructors

- HScrollbar (GtkHScrollbar *hscrollbar, bool reference=false)
    Construct a new HScrollbar from an existing GtkHScrollbar.

## Detailed Description

A GtkHScrollbar C++ wrapper class.

The HScrollbar widget is a widget arranged horizontally creating a scrollbar. See Scrollbar for details on scrollbars. An Adjustment may be added to handle the adjustment of the scrollbar.

## Constructor & Destructor Documentation

Inti::Gtk::HScrollbar::HScrollbar | ( | GtkHScrollbar * | hscrollbar,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new HScrollbar from an existing GtkHScrollbar. Parameters:
  hscrollbar | A pointer to a GtkScrollbar.
  reference | Set false if the initial reference count is floating, set true if it's not.
The hscrollbar can be a newly created GtkHScrollbar or an existing GtkHScrollbar (see G::Object::Object).

Inti::Gtk::HScrollbar::HScrollbar | ( | Adjustment & | adjustment | ) | `[explicit]`

  | Construct a new horizontal scrollbar with the specified adjustment. Parameters:
  adjustment | The Adjustment to use.

The documentation for this class was generated from the following file:

- scrollbar.h

Main Page - Footer